Index: channels/chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.183
diff -u -r1.183 chan_sip.c
--- channels/chan_sip.c	30 Sep 2003 04:57:20 -0000	1.183
+++ channels/chan_sip.c	1 Oct 2003 01:47:53 -0000
@@ -4130,12 +4130,14 @@
 {
 	struct sip_pvt *cur;
 	char tmp[256];
+	size_t len;
 	if (argc != 4)
 		return RESULT_SHOWUSAGE;
+	len = strlen(argv[3]);
 	ast_mutex_lock(&iflock);
 	cur = iflist;
 	while(cur) {
-		if (!strcasecmp(cur->callid, argv[3])) {
+		if (!strncasecmp(cur->callid, argv[3],len)) {
 			ast_cli(fd, "Call-ID: %s\n", cur->callid);
 			ast_cli(fd, "Our Codec Capability: %d\n", cur->capability);
 			ast_cli(fd, "Non-Codec Capability: %d\n", cur->noncodeccapability);
@@ -4153,14 +4155,13 @@
 				strcat(tmp, "info ");
 			if (cur->dtmfmode & SIP_DTMF_INBAND)
 				strcat(tmp, "inband ");
-			ast_cli(fd, "DTMF Mode: %s\n", tmp);
-			break;
+			ast_cli(fd, "DTMF Mode: %s\n\n", tmp);
 		}
 		cur = cur->next;
 	}
 	ast_mutex_unlock(&iflock);
 	if (!cur) 
-		ast_cli(fd, "No such SIP Call ID '%s'\n", argv[3]);
+		ast_cli(fd, "No such SIP Call ID starting with '%s'\n", argv[3]);
 	return RESULT_SUCCESS;
 }
 
